Summary:	Simple and fun paint program for kids
Name: 		tuxpaint
Version:	0.9.10
Release:	2mdk
#newer than 9.0 cvs build:
Epoch:		1
License:	GPL
Source: 	%name-%version.tar.bz2
Patch:		tuxpaint-0.9.5-Makefile.patch.bz2

Group:		Graphics
URL:		http://www.newbreedsoftware.com/tuxpaint
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  libpng-devel freetype2-devel
BuildRequires:	gettext kdelibs-common
BuildRequires:	libSDL-devel libSDL_mixer-devel libSDL_ttf-devel libSDL_image-devel
#for printing:
Requires: 	netpbm
%description
Tux Paint is a simple paint program gear towards young children. 
It provides a simple but entertaining interface, allows drawing
with brushes, lines, shapes, and 'stamps,' and has a 'magic' 
tool, for special effects. Loading and saving is done via a 
graphical interface, and the underlying environment's 
filesystem isn't exposed (much like programs on PDAs).

%prep
#Unpack sources.
%setup -q 
%patch0 -p1 -b .danny

%build

%make OPTFLAGS="%optflags" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
make install BUILDPREFIX="%buildroot" CONFIGDIR="/share/tuxpaint/" 

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT/%_menudir/
kdedesktop2mdkmenu.pl tuxpaint "Multimedia/Graphics" src/tuxpaint.desktop $RPM_BUILD_ROOT/%_menudir/tuxpaint

mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
install -m644 data/images/icon16x16.png $RPM_BUILD_ROOT/%{_miconsdir}/tuxpaint.png
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
install -m644 data/images/icon48x48.png $RPM_BUILD_ROOT/%{_liconsdir}/tuxpaint.png
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
install -m644 data/images/icon32x32.png $RPM_BUILD_ROOT/%{_iconsdir}/tuxpaint.png


rm -f $RPM_BUILD_ROOT/%_datadir/%name/images/icon*x*.png $RPM_BUILD_ROOT/%_datadir/tuxpaint/images/icon-win32.png

#Fix perms:
chmod -R go+r docs/

#Remove docs placed by an idiotic makefile
rm -Rf %{buildroot}/%{_datadir}/doc/tuxpaint
rm -Rf %{buildroot}/%{_datadir}/tuxpaint/images/icon32x32.xpm

%files -f %{name}.lang
%defattr(-,root,root)
%_bindir/tuxpaint
%_bindir/tuxpaint-import

%_datadir/tuxpaint/tuxpaint.conf
%_datadir/tuxpaint/brushes/*.png

%_datadir/tuxpaint/images/title.png
%_datadir/tuxpaint/images/icon.png

%_datadir/tuxpaint/images/*/*.png

%_datadir/tuxpaint/fonts/*.ttf
%_datadir/tuxpaint/sounds/*.wav

%doc docs/*
%_datadir/man/man1/tuxpaint.1.bz2
%_datadir/man/man1//tuxpaint-import.1.bz2
%_menudir
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_iconsdir}/*.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
#/sbin/ldconfig

%postun
%{clean_menus}
#/sbin/ldconfig

%changelog
* Mon Mar 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.10-2mdk
- rm -rf buildroot before in install stage
- added kdelibs-common to buildrequires since we're using kdedesktop2mdkmenu.pl

* Mon Feb 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.10-1mdk
- 0.9.10

* Mon Feb 10 2003 Danny Tholen <obiwan@mailmij.org> 0.9.9-1mdk
- update to latest
- clean up spec a bit

* Tue Jan 21 2003 Danny Tholen <obiwan@mailmij.org> 0.9.5-1mdk
- yippie, a new version!
- split up packages

* Tue Aug 6 2002 Danny Tholen <obiwan@mailmij.org> 2002.08.23-1mdk
- New version

* Tue Aug 6 2002 Danny Tholen <obiwan@mailmij.org> 2002.08.02-2mdk
- Merged with docbook-to-man
- Build for cooker as well

* Sun Aug 4 2002 Danny Tholen <obiwan@mailmij.org> 2002.08.02-1mdk
- Mandrake package
